Package org.gradle.tooling.model.eclipse

# Interface EclipseClasspathEntry

All Known Subinterfaces:
  `EclipseClasspathContainer`, `EclipseExternalDependency`, `EclipseProjectDependency`, `EclipseSourceDirectory`

@Incubating public interface EclipseClasspathEntry
An element that can have classpath attributes.

Since:
  2.14

## Method Summary

Modifier and Type
Method
Description
`DomainObjectSet<? extends AccessRule>`
`getAccessRules()`
Returns the access rules associated with this classpath entry.
`DomainObjectSet<? extends ClasspathAttribute>`
`getClasspathAttributes()`
Returns the classpath attributes associated with this classpath entry.

## Method Details

### getClasspathAttributes

DomainObjectSet<? extends ClasspathAttribute> getClasspathAttributes() throws UnsupportedMethodException
Returns the classpath attributes associated with this classpath entry.

Returns:
  The classpath attributes.
Throws:
  `UnsupportedMethodException` - For Gradle versions older than 2.14, where this method is not supported.

### getAccessRules

DomainObjectSet<? extends AccessRule> getAccessRules() throws UnsupportedMethodException
Returns the access rules associated with this classpath entry.

Returns:
  The access rules.
Throws:
  `UnsupportedMethodException` - For Gradle versions older than 3.0, where this method is not supported.
Since:
  3.0